<?php
/**
 * Color Scheme group definitions.
 *
 * @since Listify 1.5.0
 */
$groups = array(
	'default'     => array(
		'title'    => __( 'Original', 'listify' ),
		'controls' => array(
			'background_color'                      => '#f0f3f6',
			'header_textcolor'                      => '#ffffff',
			'color-navigation-text'                 => '#ffffff',
			'color-navigation-dropdown-text'        => '#3396d1',
			'color-secondary-navigation-text'       => '#3396d1',
			'color-secondary-navigation-background' => '#ffffff',
			'color-tertiary-navigation-text'        => '#3396d1',
			'color-tertiary-navigation-background'  => '#ffffff',
			'color-header-background'               => '#3396d1',
			'color-current-cart-text'               => '#3396d1',
			'color-current-cart-background'         => '#ffffff',
			'color-body-text'                       => '#717a8f',
			'color-link'                            => '#3396d1',
			'color-primary'                         => '#77c04b',
			'color-accent'                          => '#3396d1',
			'color-footer-widgets-background'       => '#2f3339',
			'color-footer-background'               => '#22262c',
			'color-footer-widgets-text'             => '#ffffff',
			'color-footer-text'                     => '#515b6a',
			'color-content-background'              => '#ffffff',
			'color-content-border'                  => '#ffffff',
			'color-content-accent'                  => '#f4f4f4',
			'color-input-text'                      => '#717a8f',
			'color-input-background'                => '#f3f6f9',
			'color-input-border'                    => '#ebeef1',
			'color-listing-star'                    => '#ffb400',
			'color-listing-heart'                   => '#de6a6f',
			'color-listing-claim-badge'             => '#3396d1',
		),
	),
	'classic'     => array(
		'title'    => __( 'Classic', 'listify' ),
		'controls' => array(
			'background_color'                      => '#ffffff',
			'header_textcolor'                      => '#ffffff',
			'color-navigation-text'                 => '#ffffff',
			'color-navigation-dropdown-text'        => '#2854a1',
			'color-secondary-navigation-text'       => '#717a8f',
			'color-secondary-navigation-background' => '#ffffff',
			'color-tertiary-navigation-text'        => '#717a8f',
			'color-tertiary-navigation-background'  => '#ffffff',
			'color-header-background'               => '#2854a1',
			'color-current-cart-text'               => '#2854a1',
			'color-current-cart-background'         => '#ffffff',
			'color-body-text'                       => '#717a8f',
			'color-link'                            => '#2854a1',
			'color-primary'                         => '#2854a1',
			'color-accent'                          => '#2854a1',
			'color-footer-widgets-background'       => '#2854a1',
			'color-footer-background'               => '#22498e',
			'color-footer-widgets-text'             => '#ffffff',
			'color-footer-text'                     => '#a1b5d6',
			'color-content-background'              => '#ffffff',
			'color-content-border'                  => '#e5e5e5',
			'color-content-accent'                  => '#f4f4f4',
			'color-input-text'                      => '#717a8f',
			'color-input-background'                => '#ffffff',
			'color-input-border'                    => '#e5e5e5',
			'color-listing-star'                    => '#ffb400',
			'color-listing-heart'                   => '#de6a6f',
			'color-listing-claim-badge'             => '#2854a1',
		),
	),
	'iced-coffee' => array(
		'title'    => __( 'Iced Coffee', 'listify' ),
		'controls' => array(
			'background_color'                      => '#ffffff',
			'header_textcolor'                      => '#484848',
			'color-navigation-text'                 => '#484848',
			'color-navigation-dropdown-text'        => '#484848',
			'color-secondary-navigation-text'       => '#484848',
			'color-secondary-navigation-background' => '#ffffff',
			'color-tertiary-navigation-text'        => '#ffffff',
			'color-tertiary-navigation-background'  => '#b18f6a',
			'color-header-background'               => '#ffffff',
			'color-current-cart-text'               => '#ffffff',
			'color-current-cart-background'         => '#484848',
			'color-body-text'                       => '#484848',
			'color-link'                            => '#b18f6a',
			'color-primary'                         => '#b18f6a',
			'color-accent'                          => '#484848',
			'color-footer-widgets-background'       => '#241f1b',
			'color-footer-background'               => '#1e1813',
			'color-footer-widgets-text'             => '#ffffff',
			'color-footer-text'                     => '#454545',
			'color-content-background'              => '#ffffff',
			'color-content-border'                  => '#ffffff',
			'color-content-accent'                  => '#edebe9',
			'color-input-text'                      => '#454545',
			'color-input-background'                => '#fafaf9',
			'color-input-border'                    => '#edebe9',
			'color-listing-star'                    => '#ffb400',
			'color-listing-heart'                   => '#de6a6f',
			'color-listing-claim-badge'             => '#484848',
		),
	),
	'radical-red' => array(
		'title'    => __( 'Radical Red', 'listify' ),
		'controls' => array(
			'background_color'                      => '#ffffff',
			'header_textcolor'                      => '#454545',
			'color-navigation-text'                 => '#454545',
			'color-navigation-dropdown-text'        => '#454545',
			'color-secondary-navigation-text'       => '#454545',
			'color-secondary-navigation-background' => '#ffffff',
			'color-tertiary-navigation-text'        => '#ffffff',
			'color-tertiary-navigation-background'  => '#ef3652',
			'color-header-background'               => '#ffffff',
			'color-current-cart-text'               => '#ffffff',
			'color-current-cart-background'         => '#ef3652',
			'color-body-text'                       => '#454545',
			'color-link'                            => '#ef3652',
			'color-primary'                         => '#ef3652',
			'color-accent'                          => '#454545',
			'color-footer-widgets-background'       => '#2f2929',
			'color-footer-background'               => '#261d1e',
			'color-footer-widgets-text'             => '#ffffff',
			'color-footer-text'                     => '#646464',
			'color-content-background'              => '#ffffff',
			'color-content-border'                  => '#ededed',
			'color-content-accent'                  => '#ededed',
			'color-input-text'                      => '#454545',
			'color-input-background'                => '#ffffff',
			'color-input-border'                    => '#ededed',
			'color-listing-star'                    => '#ffb400',
			'color-listing-heart'                   => '#ef3652',
			'color-listing-claim-badge'             => '#ef3652',
		),
	),
	'green-flash' => array(
		'title'    => __( 'Green Flash', 'listify' ),
		'controls' => array(
			'background_color'                      => '#ffffff',
			'header_textcolor'                      => '#ffffff',
			'color-navigation-text'                 => '#ffffff',
			'color-navigation-dropdown-text'        => '#41c772',
			'color-secondary-navigation-text'       => '#454545',
			'color-secondary-navigation-background' => '#ffffff',
			'color-tertiary-navigation-text'        => '#ffffff',
			'color-tertiary-navigation-background'  => '#41c772',
			'color-header-background'               => '#41c772',
			'color-current-cart-text'               => '#41c772',
			'color-current-cart-background'         => '#ffffff',
			'color-body-text'                       => '#454545',
			'color-link'                            => '#41c772',
			'color-primary'                         => '#41c772',
			'color-accent'                          => '#484848',
			'color-footer-widgets-background'       => '#2d414c',
			'color-footer-background'               => '#202f38',
			'color-footer-widgets-text'             => '#ffffff',
			'color-footer-text'                     => '#515b6a',
			'color-content-background'              => '#ffffff',
			'color-content-border'                  => '#ffffff',
			'color-content-accent'                  => '#e9edf2',
			'color-input-text'                      => '#717a8f',
			'color-input-background'                => '#f3f6f9',
			'color-input-border'                    => '#ebeef1',
			'color-listing-star'                    => '#ffb400',
			'color-listing-heart'                   => '#de6a6f',
			'color-listing-claim-badge'             => '#484848',
		),
	),
	'ultra-dark'  => array(
		'title'    => __( 'Ultra Dark', 'listify' ),
		'controls' => array(
			'background_color'                      => '#22222a',
			'header_textcolor'                      => '#ffffff',
			'color-navigation-text'                 => '#ffffff',
			'color-navigation-dropdown-text'        => '#22222a',
			'color-secondary-navigation-text'       => '#ffffff',
			'color-secondary-navigation-background' => '#292932',
			'color-tertiary-navigation-text'        => '#ffffff',
			'color-tertiary-navigation-background'  => '#6542b6',
			'color-header-background'               => '#22222a',
			'color-current-cart-text'               => '#ffffff',
			'color-current-cart-background'         => '#6542b6',
			'color-body-text'                       => '#ffffff',
			'color-link'                            => '#6542b6',
			'color-primary'                         => '#484848',
			'color-accent'                          => '#6542b6',
			'color-footer-widgets-background'       => '#292932',
			'color-footer-background'               => '#22222a',
			'color-footer-widgets-text'             => '#ffffff',
			'color-footer-text'                     => '#585865',
			'color-content-background'              => '#292932',
			'color-content-border'                  => '#292932',
			'color-content-accent'                  => '#3b3b46',
			'color-input-text'                      => '#ffffff',
			'color-input-background'                => '#3b3b46',
			'color-input-border'                    => '#4d4c59',
			'color-listing-star'                    => '#ffb400',
			'color-listing-heart'                   => '#de6a6f',
			'color-listing-claim-badge'             => '#6542b6',
		),
	),
	'green'       => array(
		'title'    => __( 'Green', 'listify' ),
		'controls' => array(
			'background_color'                      => '#f8f8f8',
			'header_textcolor'                      => '#ffffff',
			'color-navigation-text'                 => '#ffffff',
			'color-navigation-dropdown-text'        => '#42c25e',
			'color-secondary-navigation-text'       => '#42c25e',
			'color-secondary-navigation-background' => '#ffffff',
			'color-tertiary-navigation-text'        => '#42c25e',
			'color-tertiary-navigation-background'  => '#ffffff',
			'color-header-background'               => '#42c25e',
			'color-current-cart-text'               => '#42c25e',
			'color-current-cart-background'         => '#ffffff',
			'color-body-text'                       => '#88998a',
			'color-link'                            => '#42c25e',
			'color-primary'                         => '#42c25e',
			'color-accent'                          => '#2baddd',
			'color-footer-widgets-background'       => '#333943',
			'color-footer-background'               => '#333943',
			'color-footer-widgets-text'             => '#ffffff',
			'color-footer-text'                     => '#515b6a',
			'color-content-background'              => '#ffffff',
			'color-content-border'                  => '#ffffff',
			'color-content-accent'                  => '#e9edf2',
			'color-input-text'                      => '#717a8f',
			'color-input-background'                => '#f3f6f9',
			'color-input-border'                    => '#ebeef1',
			'color-listing-star'                    => '#ffb400',
			'color-listing-heart'                   => '#de6a6f',
			'color-listing-claim-badge'             => '#2baddd',
		),
	),
	'dark'        => array(
		'title'    => __( 'Dark', 'listify' ),
		'controls' => array(
			'background_color'                      => '#f8f8f8',
			'header_textcolor'                      => '#ffffff',
			'color-navigation-text'                 => '#ffffff',
			'color-navigation-dropdown-text'        => '#333943',
			'color-secondary-navigation-text'       => '#ffffff',
			'color-secondary-navigation-background' => '#242a34',
			'color-tertiary-navigation-text'        => '#333943',
			'color-tertiary-navigation-background'  => '#ffffff',
			'color-header-background'               => '#333943',
			'color-current-cart-text'               => '#333943',
			'color-current-cart-background'         => '#ffffff',
			'color-body-text'                       => '#666666',
			'color-link'                            => '#2fdab8',
			'color-primary'                         => '#2fdab8',
			'color-accent'                          => '#f27935',
			'color-footer-widgets-background'       => '#333943',
			'color-footer-background'               => '#23272d',
			'color-footer-widgets-text'             => '#ffffff',
			'color-footer-text'                     => '#515b6a',
			'color-content-background'              => '#ffffff',
			'color-content-border'                  => '#ffffff',
			'color-content-accent'                  => '#e9edf2',
			'color-input-text'                      => '#717a8f',
			'color-input-background'                => '#f3f6f9',
			'color-input-border'                    => '#ebeef1',
			'color-listing-star'                    => '#ffb400',
			'color-listing-heart'                   => '#de6a6f',
			'color-listing-claim-badge'             => '#2fdab8',
		),
	),
	'light-gray'  => array(
		'title'    => __( 'Light Gray', 'listify' ),
		'controls' => array(
			'background_color'                      => '#f6f6f6',
			'header_textcolor'                      => '#818080',
			'color-navigation-text'                 => '#818080',
			'color-navigation-dropdown-text'        => '#818080',
			'color-secondary-navigation-text'       => '#818080',
			'color-secondary-navigation-background' => '#f0f0f0',
			'color-tertiary-navigation-text'        => '#818080',
			'color-tertiary-navigation-background'  => '#ffffff',
			'color-header-background'               => '#ffffff',
			'color-current-cart-text'               => '#ffffff',
			'color-current-cart-background'         => '#33adc5',
			'color-body-text'                       => '#818080',
			'color-link'                            => '#42c25e',
			'color-primary'                         => '#33adc5',
			'color-accent'                          => '#818080',
			'color-footer-widgets-background'       => '#303c40',
			'color-footer-background'               => '#283235',
			'color-footer-widgets-text'             => '#ffffff',
			'color-footer-text'                     => '#515b6a',
			'color-content-background'              => '#ffffff',
			'color-content-border'                  => '#ffffff',
			'color-content-accent'                  => '#e9edf2',
			'color-input-text'                      => '#717a8f',
			'color-input-background'                => '#f3f6f9',
			'color-input-border'                    => '#ebeef1',
			'color-listing-star'                    => '#ffb400',
			'color-listing-heart'                   => '#de6a6f',
			'color-listing-claim-badge'             => '#818080',
		),
	),
);

return $groups;
